import React from "react";
import { Checkbox } from "@react-components/checkbox";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";
import { createSharedStories } from "./shared-stories";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Checkbox")).segment(segment).parameters(paramsBuilder().canvasLayout({
    width: "80%"
  }).chromaticDelay(100).build()).build();
}

createSharedStories( /*#__PURE__*/React.createElement(Checkbox, null), stories("/unchecked"));
createSharedStories( /*#__PURE__*/React.createElement(Checkbox, {
  defaultChecked: true
}), stories("/checked"));
createSharedStories( /*#__PURE__*/React.createElement(Checkbox, {
  defaultIndeterminate: true
}), stories("/indeterminate"));