import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { AddIcon } from "@react-components/icons";
import { Button } from "@react-components/button";
import { Dropdown } from "@react-components/dropdown";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Dropdown")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];
const ACTIONS = [{
  key: "New",
  text: "New",
  value: "New"
}, {
  key: "Open...",
  text: "Open...",
  value: "Open..."
}, {
  key: "Rename...",
  text: "Rename...",
  value: "Rename..."
}, {
  key: "Save As...",
  text: "Save As...",
  value: "Save As..."
}, {
  key: "Make a copy...",
  text: "Make a copy...",
  value: "Make a copy..."
}];

function createDropdown(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Dropdown, Object.assign({
    options: options
  }, otherProps));
}

createDropdown.displayName = "createDropdown";

function createMenu(_ref2 = {}) {
  let {
    options = ACTIONS
  } = _ref2,
      otherProps = _objectWithoutProperties(_ref2, ["options"]);

  return /*#__PURE__*/React.createElement(Dropdown, Object.assign({
    options: options
  }, otherProps));
}

createMenu.displayName = "createMenu";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMenu({
  text: "File",
  selection: false,
  className: "mr5"
}), createMenu({
  text: "File",
  selection: false,
  defaultOpen: true
})))).add("trigger", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdown({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  className: "mr5"
}), createDropdown({
  trigger: /*#__PURE__*/React.createElement(AddIcon, null),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdown({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  className: "mr5"
}), createDropdown({
  trigger: /*#__PURE__*/React.createElement(Button, null, "Open"),
  className: "mr5",
  defaultOpen: true
}), createDropdown({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    icon: /*#__PURE__*/React.createElement(AddIcon, null)
  }),
  className: "mr5"
}), createDropdown({
  trigger: /*#__PURE__*/React.createElement(Button, {
    circular: true,
    icon: /*#__PURE__*/React.createElement(AddIcon, null)
  }),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createDropdown({
  trigger: /*#__PURE__*/React.createElement("span", null, "Open"),
  className: "mr5"
}), createDropdown({
  trigger: /*#__PURE__*/React.createElement("span", null, "Open"),
  defaultOpen: true
}))));