import React from "react";
import { Radio } from "@react-components/radio";
import { createRef } from "react";
import { render, wait } from "@testing-library/react";

function createRadio(props = {}) {
  return /*#__PURE__*/React.createElement(Radio, props);
}

createRadio.displayName = "createRadio";
// ***** Refs *****
test("ref is a DOM element", async () => {
  const ref = createRef();
  render(createRadio({
    ref
  }));
  await wait();
  expect(ref.current).not.toBeNull();
  expect(ref.current instanceof HTMLElement).toBeTruthy();
  expect(ref.current.tagName).toBe("DIV");
});
test("when using a callback ref, ref is a DOM element", async () => {
  let refNode = null;
  render(createRadio({
    ref: node => {
      refNode = node;
    }
  }));
  await wait();
  expect(refNode).not.toBeNull();
  expect(refNode instanceof HTMLElement).toBeTruthy();
  expect(refNode.tagName).toBe("DIV");
});