import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/inline")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];

function createInlineSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "select gender",
    inline: true,
    options: options
  }, otherProps));
}

createInlineSelect.displayName = "createInlineSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  className: "mr5"
}), createInlineSelect({
  defaultOpen: true
}))).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  defaultValue: "Female",
  className: "mr5"
}), createInlineSelect({
  defaultValue: "Female",
  defaultOpen: true
}))).add("in a block", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus.")), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  defaultOpen: true
}), "elementum viverra maximus.")))).add("disabled", () => createInlineSelect({
  disabled: true
})).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createInlineSelect({
  error: true,
  className: "mr5"
}), createInlineSelect({
  error: true,
  defaultOpen: true
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null)
}), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
}), "elementum viverra maximus."))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "f9 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f5 mb12"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum ", /*#__PURE__*/React.createElement("br", null), " et lacus at euismod ", createInlineSelect(), "elementum viverra maximus."), /*#__PURE__*/React.createElement("div", {
  className: "f1"
}, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque vestibulum et lacus at euismod ", createInlineSelect(), "elementum viverra maximus.")));