import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/multiple")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];

function createMultipleSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    multiple: true,
    options: options
  }, otherProps));
}

createMultipleSelect.displayName = "createMultipleSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  className: "mr5"
}), createMultipleSelect({
  defaultOpen: true
}))).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  defaultValue: ["Female"],
  className: "mr5"
}), createMultipleSelect({
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  defaultValue: ["Female"],
  defaultOpen: true
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, createMultipleSelect({
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  size: "small",
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, createMultipleSelect({
  className: "mr5"
}), createMultipleSelect({
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  size: "large",
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  size: "large",
  defaultOpen: true
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMultipleSelect({
  fluid: true,
  className: "mr5"
}), createMultipleSelect({
  fluid: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "w-10 mr5"
}, createMultipleSelect({
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "w-10"
}, createMultipleSelect({
  fluid: true,
  defaultOpen: true
}))))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  disabled: true,
  className: "mr5"
}), createMultipleSelect({
  disabled: true,
  defaultValue: ["Female", "Male"],
  className: "mr5"
}))).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  error: true,
  className: "mr5"
}), createMultipleSelect({
  error: true,
  className: "mr5",
  defaultOpen: true
}))).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMultipleSelect({
  loading: true,
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  defaultValue: ["Female"],
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMultipleSelect({
  loading: true,
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  defaultValue: ["Female"],
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  loading: true,
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  defaultValue: ["Female"],
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  loading: true,
  size: "large",
  defaultOpen: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  defaultOpen: true,
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  search: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultOpen: true,
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  search: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: ["Male"],
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  defaultOpen: true,
  className: "mr5"
}), createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  search: true
})))).add("searchable", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, createMultipleSelect({
  search: true,
  size: "small",
  className: "mr5"
}), createMultipleSelect({
  search: true,
  size: "small",
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  search: true,
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, createMultipleSelect({
  search: true,
  className: "mr5"
}), createMultipleSelect({
  search: true,
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  search: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    "marginBottom": "150px"
  }
}, createMultipleSelect({
  search: true,
  size: "large",
  className: "mr5"
}), createMultipleSelect({
  search: true,
  size: "large",
  defaultValue: ["Female", "Male"],
  className: "mr5"
}), createMultipleSelect({
  search: true,
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createMultipleSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
}))));