import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/searchable")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];

function createSearchableSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    search: true,
    options: options
  }, otherProps));
}

createSearchableSelect.displayName = "createSearchableSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  className: "mr5"
}), createSearchableSelect({
  defaultOpen: true
}))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  className: "mr5",
  size: "small"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5",
  size: "small"
}), createSearchableSelect({
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  className: "mr5"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  className: "mr5",
  size: "large"
}), createSearchableSelect({
  defaultValue: "Male",
  className: "mr5",
  size: "large"
}), createSearchableSelect({
  size: "large",
  defaultOpen: true
})))).add("disabled", () => createSearchableSelect({
  className: "mr5",
  disabled: true
})).add("clearable", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  clearable: true,
  defaultValue: "Male",
  defaultOpen: true
})))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "small",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "large",
  className: "mr5"
}), createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSearchableSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
}))));