import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { MagnifierIcon } from "@react-components/icons";
import { Select } from "@react-components/select";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Select/standard")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).canvasLayout({
    width: "80%"
  }).build()).build();
}

const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];

function createSelect(_ref = {}) {
  let {
    options = GENDERS
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["options"]);

  return /*#__PURE__*/React.createElement(Select, Object.assign({
    placeholder: "Gender",
    options: options
  }, otherProps));
}

createSelect.displayName = "createSelect";
stories().add("default", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  className: "mr5"
}), createSelect({
  defaultOpen: true
}))).add("selected value", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  defaultValue: "Female",
  defaultOpen: true
}))).add("sizes", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  size: "small",
  className: "mr5"
}), createSelect({
  size: "small",
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  className: "mr5"
}), createSelect({
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  size: "large",
  className: "mr5"
}), createSelect({
  size: "large",
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  size: "large",
  defaultOpen: true
})))).add("fluid", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  fluid: true,
  className: "mr5"
}), createSelect({
  fluid: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, /*#__PURE__*/React.createElement("div", {
  className: "w-10 mr5"
}, createSelect({
  fluid: true
})), /*#__PURE__*/React.createElement("div", {
  className: "w-10"
}, createSelect({
  fluid: true,
  defaultOpen: true
}))))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  disabled: true,
  className: "mr5"
}), createSelect({
  disabled: true,
  defaultValue: "Female"
}))).add("clearable", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  clearable: true,
  defaultValue: "Female",
  size: "small",
  className: "mr5"
}), createSelect({
  clearable: true,
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  clearable: true,
  defaultValue: "Female",
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  clearable: true,
  defaultValue: "Female",
  defaultOpen: true
})))).add("error", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  error: true,
  className: "mr5"
}), createSelect({
  error: true,
  className: "mr5",
  defaultOpen: true
}))).add("loading", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  loading: true,
  size: "small",
  className: "mr5"
}), createSelect({
  loading: true,
  defaultValue: "Female",
  size: "small",
  className: "mr5"
}), createSelect({
  loading: true,
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  loading: true,
  className: "mr5"
}), createSelect({
  loading: true,
  defaultValue: "Female",
  className: "mr5"
}), createSelect({
  loading: true,
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  loading: true,
  size: "large",
  className: "mr5"
}), createSelect({
  loading: true,
  defaultValue: "Female",
  size: "large",
  className: "mr5"
}), createSelect({
  loading: true,
  size: "large",
  defaultOpen: true
})))).add("upward", () => /*#__PURE__*/React.createElement("div", {
  style: {
    marginTop: "50px"
  }
}, createSelect({
  upward: true,
  defaultOpen: true
}))).add("icon", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "small",
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "small",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  defaultValue: "Male",
  size: "large",
  className: "mr5"
}), createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  size: "large",
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  icon: /*#__PURE__*/React.createElement(MagnifierIcon, null),
  disabled: true
})))).add("actions", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  size: "small",
  actions: [{
    content: /*#__PURE__*/React.createElement("a", {
      href: "https://www.google.com"
    }, "Google")
  }],
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createSelect({
  actions: [{
    content: /*#__PURE__*/React.createElement("a", {
      href: "https://www.google.com"
    }, "Google")
  }],
  defaultOpen: true
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  size: "large",
  actions: [{
    content: /*#__PURE__*/React.createElement("a", {
      href: "https://www.google.com"
    }, "Google")
  }],
  defaultOpen: true
})))).add("styling", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createSelect({
  className: "border-red mr5"
}), createSelect({
  style: {
    border: "1px solid red"
  }
})));