import React from "react";
import { Select } from "@react-components/select";
import { createRef } from "react";
import { render, wait } from "@testing-library/react";
const GENDERS = [{
  key: "Male",
  text: "Male",
  value: "Male"
}, {
  key: "Female",
  text: "Female",
  value: "Female"
}];

function createSelect(props = {}) {
  return /*#__PURE__*/React.createElement(Select, Object.assign({
    options: GENDERS
  }, props));
}

createSelect.displayName = "createSelect";
// ***** Refs *****
test("ref is a DOM element", async () => {
  const ref = createRef();
  render(createSelect({
    ref
  }));
  await wait();
  expect(ref.current).not.toBeNull();
  expect(ref.current instanceof HTMLElement).toBeTruthy();
  expect(ref.current.tagName).toBe("DIV");
});
test("when using a callback ref, ref is a DOM element", async () => {
  let refNode = null;
  render(createSelect({
    ref: node => {
      refNode = node;
    }
  }));
  await wait();
  expect(refNode).not.toBeNull();
  expect(refNode instanceof HTMLElement).toBeTruthy();
  expect(refNode.tagName).toBe("DIV");
  expect(refNode.getAttribute("data-testid")).toBe("dropdown");
});