import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Ref, Popup as SemanticPopup } from "semantic-ui-react";
import { any, bool, func, object, oneOfType, string } from "prop-types";
import { forwardRef } from "react";
import { isNil } from "lodash";
import { mergeClasses } from "../../shared";
const propTypes = {
  flush: bool,

  /**
   * @ignore
   */
  trigger: any.isRequired,

  /**
   * @ignore
   */
  className: string,

  /**
   * @ignore
   */
  forwardedRef: oneOfType([object, func])
};
const defaultProps = {
  flush: false
};
export function PureTooltip(props) {
  const {
    flush,
    className,
    forwardedRef,
    children
  } = props,
        rest = _objectWithoutProperties(props, ["flush", "className", "forwardedRef", "children"]);

  const renderWithRef = () => {
    return /*#__PURE__*/React.createElement(Ref, {
      innerRef: forwardedRef
    }, renderTooltip());
  };

  const renderTooltip = () => {
    const classes = mergeClasses(flush && "flush", className);
    return /*#__PURE__*/React.createElement(SemanticPopup, Object.assign({
      className: classes
    }, rest), children);
  };

  return isNil(forwardedRef) ? renderTooltip() : renderWithRef();
}
PureTooltip.propTypes = propTypes;
PureTooltip.defaultProps = defaultProps;
export const Tooltip = forwardRef((props, ref) => /*#__PURE__*/React.createElement(PureTooltip, Object.assign({}, props, {
  forwardedRef: ref
})));
[PureTooltip, Tooltip].forEach(x => {
  x.Content = SemanticPopup.Content;
  x.Header = SemanticPopup.Header;
});